## Get Item IDs for Given Shipping Method

### cURL Example

```bash
curl --request GET \
  --url 'https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}/items?limit=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

### Python Example

```python
import requests

url = "https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}/items?limit=10"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript Example

```javascript
const options = {
  method: 'GET',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>'
  }
};

fetch('https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}/items?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP Example

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}/items?limit=10",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "x-fabric-channel-id: <x-fabric-channel-id>",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go Example

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}/items?limit=10"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
	req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java Example

```java
HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}/items?limit=10")
  .header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
  .header("x-fabric-channel-id", "<x-fabric-channel-id>")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby Example

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fabric.inc/v3/shipping-methods/{shippingMethodId}/items?limit=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Responses

#### 200 OK
```json
{
  "data": [
    "1233434"
  ],
  "pagination": {
    "count": 1000,
    "limit": 10,
    "offset": 1
  }
}
```

#### 400 Bad Request
```json
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

#### 401 Unauthorized
```json
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
```

#### 404 Not Found
```json
{
  "message": "Shipping method not found",
  "type": "CLIENT_ERROR"
}
```

#### 500 Internal Server Error
```json
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}
```

### Authorizations
- **Authorization**: Bearer authentication header in the form `Bearer <token>`. This is required.
- **x-fabric-tenant-id**: Required tenant ID header for authentication.
- **x-fabric-channel-id**: Required channel ID for identifying the sales channel.

### Path Parameters
- **shippingMethodId**: Required 24-character ID from the response of the `GET /shipping-methods` endpoint.

### Query Parameters
- **offset**: Number of records to skip (default: 0).
- **limit**: Maximum number of records per page (default: 10, required range: `1 <= x <= 100`).
